Subject: NLRA & NY (Spanish)
From: "Michael B" <[email-masked]>
To: "George Keck" <[email-masked]>
Date: Thu, 18 Oct 2012 15:49:25 -0400

George,
We did get posters just a little while ago.  Just a note; the New York that we received was in fact the Spanish though the slip did not indicate that.  Also, I was just told that we are down to our last 500 NLRA posters.  I know you said they were going to get those done but I was wondering if it would be possible to get some of those tomorrow?  Let me know so we can plan accordingly.
Thank you,
Michael B
LLPS